<?php
// AJAX RESPONSE FUNCTIONS

add_action( 'wp_ajax_clear_list_form', 'the_action_function_clear_list_form' );
add_action( 'wp_ajax_nopriv_clear_list_form', 'the_action_function_clear_list_form' ); // need this to serve non logged in users
function the_action_function_clear_list_form(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/clear-list-form.php' );
}

add_action( 'wp_ajax_clear_list_done', 'the_action_function_clear_list_done' );
add_action( 'wp_ajax_nopriv_clear_list_done', 'the_action_function_clear_list_done' ); // need this to serve non logged in users
function the_action_function_clear_list_done(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/clear-list-done.php' );
}



add_action( 'wp_ajax_reset_list_form', 'the_action_function_reset_list_form' );
add_action( 'wp_ajax_nopriv_reset_list_form', 'the_action_function_reset_list_form' ); // need this to serve non logged in users
function the_action_function_reset_list_form(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/reset-list-form.php' );
}

add_action( 'wp_ajax_reset_list_done', 'the_action_function_reset_list_done' );
add_action( 'wp_ajax_nopriv_reset_list_done', 'the_action_function_reset_list_done' ); // need this to serve non logged in users
function the_action_function_reset_list_done(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/reset-list-done.php' );
}



add_action( 'wp_ajax_delete_list_form', 'the_action_function_delete_list_form' );
add_action( 'wp_ajax_nopriv_delete_list_form', 'the_action_function_delete_list_form' ); // need this to serve non logged in users
function the_action_function_delete_list_form(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/delete-list-form.php' );
}



add_action( 'wp_ajax_delete_list_done', 'the_action_function_delete_list_done' );
add_action( 'wp_ajax_nopriv_delete_list_done', 'the_action_function_delete_list_done' ); // need this to serve non logged in users
function the_action_function_delete_list_done(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/delete-list-done.php' );
}




add_action( 'wp_ajax_schedule_list_form', 'the_action_function_schedule_list_form' );
add_action( 'wp_ajax_nopriv_schedule_list_form', 'the_action_function_schedule_list_form' ); // need this to serve non logged in users
function the_action_function_schedule_list_form(){
include( EMAILS_NO_SPAM_DIR .'scripts/common/format.php' );
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/schedule-list-form.php' );
}


add_action( 'wp_ajax_schedule_list_done', 'the_action_function_schedule_list_done' );
add_action( 'wp_ajax_nopriv_schedule_list_done', 'the_action_function_schedule_list_done' ); // need this to serve non logged in users
function the_action_function_schedule_list_done(){
include( EMAILS_NO_SPAM_DIR .'scripts/common/format.php' );
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/schedule-list-done.php' );
}



add_action( 'wp_ajax_templates_list', 'the_action_function_templates_list' );
add_action( 'wp_ajax_nopriv_templates_list', 'the_action_function_templates_list' ); // need this to serve non logged in users
function the_action_function_templates_list(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/templates-list.php' );
}


add_action( 'wp_ajax_template_list', 'the_action_function_template_list' );
add_action( 'wp_ajax_nopriv_template_list', 'the_action_function_template_list' ); // need this to serve non logged in users
function the_action_function_template_list(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/template-list.php' );
}


add_action( 'wp_ajax_template_done', 'the_action_function_template_done' );
add_action( 'wp_ajax_nopriv_template_done', 'the_action_function_template_done' ); // need this to serve non logged in users
function the_action_function_template_done(){
include( EMAILS_NO_SPAM_DIR .'scripts/my-lists/template-done.php' );
}


add_action( 'wp_ajax_send_list_cron', 'the_action_function_send_list_cron' );
add_action( 'wp_ajax_nopriv_send_list_cron', 'the_action_function_send_list_cron' ); // need this to serve non logged in users
function the_action_function_send_list_cron(){
include( EMAILS_NO_SPAM_DIR .'scripts/send-list/cron.php' );
}



add_action( 'wp_ajax_list_unsubscribe', 'the_action_function_list_unsubscribe' );
add_action( 'wp_ajax_nopriv_list_unsubscribe', 'the_action_function_list_unsubscribe' ); // need this to serve non logged in users
function the_action_function_list_unsubscribe(){
include( EMAILS_NO_SPAM_DIR .'scripts/list-recipients/list-unsubscribe-done.php' );
}



add_action( 'wp_ajax_list_subscribe', 'the_action_function_list_subscribe' );
add_action( 'wp_ajax_nopriv_list_subscribe', 'the_action_function_list_subscribe' ); // need this to serve non logged in users
function the_action_function_list_subscribe(){
include( EMAILS_NO_SPAM_DIR .'scripts/list-recipients/list-subscribe-done.php' );
}



?>