<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $wpdb;
check_admin_referer( "servers" );

$table_name = $wpdb->prefix . 'my_servers';

$results = $wpdb->get_results( 
	"
	SELECT * 
	FROM $table_name  
	ORDER BY id_server DESC 
	LIMIT 0,1
	"
);


if ( $results  )
{
	foreach ( $results as $server )
	{
		setup_postdata( $server );
		
$id_server = $server->id_server;	 	 	 
$ex_server = $server->ex_server;	 	 	 
$ative_server = $server->ative_server;	 	 	 
$date_include = time(); 	 
$from_name = $server->from_name;	


$smtp_debug = $server->smtp_debug; 	 
$debug_output = $server->debug_output;	 	 
$host_mail = $server->host_mail;	 	 
$port = $server->port;	 	 
$smtp_secure = $server->smtp_secure;	 	 	 
$smtp_auth = $server->smtp_auth;	 	 	 
$username = $server->username;	 	 
$password = $server->password;	 	 	 
$set_from = $server->set_from;	 	 	 
$add_reply_to = $server->add_reply_to;		
$add_cc = $server->add_cc;
$list_unsubscribe = $server->list_unsubscribe;		 
$limit_server = $server->limit_server;	 	 
$sends = $server->sends;
$first_send = $server->first_send;	 	 
$last_send = $server->last_send;
$limit_query = $server->limit_query;

$first_send = date("d-m-Y H:i:s", $first_send);
$last_send = date("d-m-Y H:i:s", $last_send);


	}	
}
else
{

echo '<h2>Not found servers!</h2>';

}
?>


<form id="theFormIncludeServer">

<?php
//Set Your Nonce
wp_nonce_field( "servers" );
?>

<table width="100%">
  <tr valign="top"> 
    <td height="30"> 
	

		<p> 
		
		
          <input name="action" type="hidden" value="include_server" />
          &nbsp; 
          <!-- this puts the action the_ajax_hook into the serialized form -->
    
		
		
        <input name="ative-server" id="ative-server" type="checkbox" value="1" />
        Active server </p>
      <p><strong>Function Mail</strong><br />
        <select name="ex-server" id="ex-server" >
          <option value="<?php echo $ex_server; ?>" selected> 
          <?php echo $ex_server; ?>
          </option>
          <option value="0">0 Nenhum</option>
		  <option value="4">4 - SMTP Authenticate</option>
                 </select>
      </p>
      </td>
  </tr>
  <tr valign="top"> 
    <td height="30">&nbsp;</td>
  </tr>
  <tr valign="top"> 
    <td height="30">
	
			   
	<p>Set who the message is to be sent from<br />
        <input name="from-name" type="text" id="from-name"  value="<?php echo $from_name ?>"  maxlength="70" />
           </p>
		   
		<p>Email (From)<br />
        <input name="set-from" type="text" id="set-from"  value="<?php echo $set_from; ?>"  maxlength="70" />
           </p>
		   
		   

		   
		   
		   
	<p>Set an alternative reply-to address<br />
        <input name="add-reply-to" type="text" id="add-reply-to"  value="<?php echo $add_reply_to; ?>"  maxlength="70" />
           </p>
		   
		   
		          <p>Set an alternative AddCC address<br />
        <input name="add-cc" type="text" id="add-cc"  value="<?php echo $add_cc; ?>"  maxlength="70" />

 </p>
		   
	        <p>List-Unsubscribe<br />A place where people can cancel receiving future messages.<br>

        <input name="list-unsubscribe" type="text" id="list-unsubscribe"  value="<?php echo $list_unsubscribe; ?>"  maxlength="70" required />
      </p>		   
		   
		   
<p>Enable SMTP debugging<br />

        <select name="smtp-debug" id="smtp-debug" >
          <option value="<?php echo $smtp_debug; ?>" selected><?php echo $smtp_debug; ?></option>
		  <option value="0">0 = off (for production use)</option>
          <option value="1">1 = client messages</option>
		  <option value="2">2 = client and server messages</option>
        </select>
		  </p>
	
	
	<p>Ask for html-friendly debug output<br />
        <input name="debug-output" type="text" id="debug-output"  value="html"  maxlength="70" readonly="true" />
           </p>



	
	<p>Set the encryption system to use - ssl (deprecated) or tls<br />
        <input name="smtp-secure" type="text" id="smtp-secure"  value="<?php echo $smtp_secure; ?>"  maxlength="70" />
           </p>



	
	
	<p>Set the hostname of the mail server<br />
        <input name="host-mail" type="text" id="host-mail"  value="<?php echo $host_mail; ?>" maxlength="70" />
           </p>

	
	
	<p>Set the SMTP port number - likely to be 25, 465 or 587<br />
        <input name="port" type="text" id="port"  value="<?php echo $port; ?>"  maxlength="70" />
           </p>

	
	
	  <p>Whether to use SMTP authentication <br />
        <input name="smtp-auth" type="text" id="smtp-auth"  value="<?php echo $smtp_auth; ?>" maxlength="70" />
           </p>

	
	
	<p>Username to use for SMTP authentication<br />
        <input name="username" type="text" id="username"  value="<?php echo $username; ?>"  maxlength="70" />
           </p>
		   
		   
		   	<p>Password to use for SMTP authentication<br />
        <input name="password" type="password" id="password"  value="<?php echo $password; ?>" maxlength="70" />
           </p>
		   
		   
		   
      <p>Credits Messages<br />
        <input name="limit-server" type="text" id="limit-server"  value="0"  maxlength="70" readonly="true" />
        <br />
        <input name="sends" type="hidden" id="sends"  value="0"  maxlength="70" />
        <input name="first-send" type="hidden" id="first-send"  value="0"  maxlength="70"  />
      </p> 
        <input name="last-send" type="hidden" id="last-send"  value="0"  maxlength="70"  />
		
		<input name="date-include" type="hidden" id="date-include"  value="<?php echo time(); ?>"  maxlength="70"  /></p> 
        <p>Limit of sending simultaneous emails<br />
          <input name="limit-query" type="number" max="5" min="1" step="1" id="limit-query"  value="<?php echo $limit_query; ?>"  maxlength="70" />
        </p>
		
		
        
    </td>
  </tr>
</table>
  
<p></tr> </p>
  <p> 
      <input id="submit_button" value = "Include Server" type="button" onClick="getFormIncludeServer();" />
        
</p>


</form>

 <p><div id="result_area"></div></p>