<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $wpdb;
global $current_user;	



$conta = 0;
$total_limit_server  = 0;
$total_sends = 0;


//paginação
$_BS['PorPagina'] = 25; // Nmero de registros por pg
// Coonta os registros

$table_name = $wpdb->prefix . 'my_servers';

$entries_count = $wpdb->get_var( 
	"
	SELECT COUNT(*) FROM $table_name  
	"
);


// Calcula o mximo de paginas
$paginas =  (($entries_count % $_BS['PorPagina']) > 0) ? (int)($entries_count / $_BS['PorPagina']) + 1 : ($entries_count / $_BS['PorPagina']);

// ============================================

// Sistema simples de paginao, verifica se h algum argumento 'pagina' na URL
if (isset($_REQUEST['pagina'])) {
$pagina = (int)$_REQUEST['pagina'];
} else {
$pagina = 1;
}
$pagina = max(min($paginas, $pagina), 1);
$Start = ($pagina - 1) * $_BS['PorPagina'];
$limit =  $Start.',' .$_BS['PorPagina'];
// ============================================']);

// faz uma nova consulta
$results = $wpdb->get_results( 
	"
	SELECT * 
	FROM $table_name  
	ORDER BY set_from ASC LIMIT $limit  
	"
);


if ( $results  )
{
	foreach ( $results as $server )
	{
		setup_postdata( $server );
		
$id_server = $server->id_server;	 	 	 
$ex_server = $server->ex_server;	 	 	 
$ative_server = $server->ative_server;	 	 	 
$date_include = $server->date_include;	 	 
$from_name = $server->from_name;	
$smtp_debug = $server->smtp_debug; 	 
$debug_output = $server->debug_output;	 	 
$host_mail = $server->host_mail;	 	 
$port = $server->port;	 	 
$smtp_secure = $server->smtp_secure;	 	 	 
$smtp_auth = $server->smtp_auth;	 	 	 
$username = $server->username;	 	 
$password = $server->password;	 	 	 
$set_from = $server->set_from;	 	 	 
$add_reply_to = $server->add_reply_to;	 	 	 
$limit_server = $server->limit_server;	 	 
$sends = $server->sends;
$first_send = $server->first_send;	 	 
$last_send = $server->last_send;
$limit_query = $server->limit_query;
$token = $server->token;

$total_limit_server = $total_limit_server + $limit_server ;
$total_sends = $total_sends  + $sends  ;

$conta = $conta + 1 ;
if($conta % 2) 
{
$cor_da_linha="#F1F1F2";
}
else
{
$cor_da_linha="#FFFFFF" ;  
}
	  
?>

<table class="table table-bordered">
  <tr> 
    <td colspan="2" > <i class="fa fa-server" aria-hidden="true"></i>&nbsp;&nbsp; 
      <?php echo $conta;?>
      - 
      <?php echo $set_from;?>
      - 
      <?php echo $from_name;?>
    </td>
  <tr> 
    <td width="50%" align="left">Id</td>
    <td width="50%" align="left">Canal</td>
  <tr> 
    <td width="50%" align="left"> 
      <?php echo $id_server;?>
    </td>
    <td width="50%" align="left"> 
      <?php echo $ex_server;?>
    </td>
  <tr> 
    <td width="50%" align="left">First email send</td>
    <td width="50%" align="left"> 
      <?php echo date("d-m-Y G:i:s", $first_send);?>
    </td>
  <tr> 
    <td width="50%" align="left">Last email send </td>
    <td width="50%" align="left"> 
      <?php echo date("d-m-Y G:i:s", $last_send);?>
    </td>
  </tr>
  <tr> 
    <td align="left">Limit Query</td>
    <td> 
      <?php echo $limit_query;?>
    </td>
  </tr>
  <tr> 
    <td align="left">Activated (1/0)</td>
    <td> 
      <?php echo $ative_server;?>
    </td>
  </tr>
  <tr> 
    <td align="left">Credits</td>
    <td>Added: 
      <?php echo $limit_server;?>
      <?php if($limit_server < $sends){ echo "<b>!</b>"; };?>
    </td>
  </tr>
  <tr> 
    <td align="left">Used: </td>
    <td> 
      <?php echo $sends;?>
      (-) </td>
  </tr>
  <tr> 
    <td align="left">Balance: </td>
    <td> 
      <?php echo $limit_server-$sends;?>
    </td>
  </tr>
  <tr> 
    <td colspan="2" align="left"> 
      <?php

$post_id = $wpdb->get_var( "SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '[s-emailnospam-login-login]'" );
$url = get_page_link($post_id).'?id-server='.$id_server;
$url = wp_nonce_url( $url, 's-emailnospam-new-list-import-more-recipients' );


?>
      <div class="form-check form-check-inline"> <a href="<?php echo $url; ?>"> 
        <button type="submit" class="btn btn-primary form-check-inline">Add Credits</button>
        </a> 
        <?php 
$s_servers_setting_servers = $wpdb->get_var( "SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '[s-emailnospam-servers-setting-servers]'" );
?>
        <form action="<?php echo get_page_link($s_servers_setting_servers);?>" method="post">
          <?php
//Set Your Nonce
wp_nonce_field( "servers" );
?>
          <input type="hidden" id="id-server" name="id-server" value = "<?php echo $id_server; ?>" />
          <input type="hidden" id="token" name="token" value = "<?php echo $token; ?>" />
          <input type="hidden" id="username" name="username" value = "<?php echo $username; ?>" />
          <button type="submit" class="btn btn-primary form-check-inline">Settings</button>
        </form>
        <?php

$post_id = $wpdb->get_var( "SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '[s-emailnospam-servers-reset-servers]'" );
?>
        <form action="<?php echo get_page_link($post_id);?>" method="post">
          <?php
//Set Your Nonce
wp_nonce_field( "servers" );
?>
          <input type="hidden" id="id-server" name="id-server" value = "<?php echo $id_server; ?>" />
          <input type="hidden" id="token" name="token" value = "<?php echo $token; ?>" />
          <input type="hidden" id="username" name="username" value = "<?php echo $username; ?>" />
          <button type="submit" class="btn btn-primary form-check-inline">Reset 
          Server</button>
        </form>
        <?php

$post_id = $wpdb->get_var( "SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '[s-emailnospam-servers-sync-servers]'" );
?>
        <form action="<?php echo get_page_link($post_id);?>" method="post">
          <?php
//Set Your Nonce
wp_nonce_field( "servers" );
?>
          <input type="hidden" id="id-server" name="id-server" value = "<?php echo $id_server; ?>" />
          <input type="hidden" id="token" name="token" value = "<?php echo $token; ?>" />
          <input type="hidden" id="username" name="username" value = "<?php echo $username; ?>" />
          <button type="submit" class="btn btn-primary form-check-inline">Syncronize 
          Server</button>
        </form>
      </div></td>
  </tr>
</table>

  <?php
	}	
}
else
{

echo '<h2>No Server Found</h2>';

}



?>


<table class="table table-bordered table-dark">
  <thead>
  </thead>
  <tbody>
    <tr> 
      <th scope="row"> 
        <?php echo "Limit Server Total: ".$total_limit_server; ?>
      </th>
    </tr>
    <tr> 
      <th scope="row"> Pages: 
        <?php

for($n = 1; $n <= $paginas; $n++) {


$url = EMAILS_NO_SPAM_SITE.'/list-servers/?pagina='.$n;


echo "&nbsp;".'<a href="'.$url.'">'.$n.'</a>&nbsp;<br>';
}

      


?>
      </th>
    </tr>
    <tr>
      <th scope="row"> Servers: 
        <?php

echo $entries_count;
      


?>
      </th>
    </tr>
  </tbody>
</table>
  
  

<br />

<?php echo "Sends Total: ". $total_sends;?>


<?php 

$post_id = $wpdb->get_var( "SELECT post_id FROM $wpdb->postmeta WHERE meta_key = '[s-emailnospam-servers-include-servers]'" );
$url = get_page_link($post_id);
$url = $url.'?buy-token='.$token.'&username='.$username;
$url = wp_nonce_url( $url, 'servers' );

echo '<div align="right"><a href="'.$url.'" title="Include New Server"><button type="submit" class="btn btn-primary">Include New Server</button></a></div>';
?>