<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $wpdb;
$my_licence_type_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_type_ens'" );
$my_licence_begin_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_begin_ens'" );
$my_licence_end_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_end_ens'" );
$my_licence_uname_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_uname_ens'" );
$my_token_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_token_ens'" );


if(!$my_licence_type_ens){
$my_licence_type_ens = base64_encode('experimental');
$table_name = $wpdb->prefix . 'options';
$insert="INSERT INTO $table_name
		( option_name,option_value )
		VALUES
		( 'my_licence_type_ens','$my_licence_type_ens' )
		";
$wpdb->query($insert);
}


if(!$my_licence_begin_ens){
$my_licence_begin_ens = time();
$table_name = $wpdb->prefix . 'options';
$insert="INSERT INTO $table_name
		( option_name,option_value )
		VALUES
		( 'my_licence_begin_ens','$my_licence_begin_ens' )
		";
$wpdb->query($insert);
}


if(!$my_licence_end_ens){
$my_licence_end_ens = time() + (1440*3);
$table_name = $wpdb->prefix . 'options';
$insert="INSERT INTO $table_name
		( option_name,option_value )
		VALUES
		( 'my_licence_end_ens','$my_licence_end_ens' )
		";
$wpdb->query($insert);
}

if(!$my_licence_uname_ens){
$my_licence_uname_ens = php_uname('n');
$table_name = $wpdb->prefix . 'options';
$insert="INSERT INTO $table_name
		( option_name,option_value )
		VALUES
		( 'my_licence_uname_ens','$my_licence_uname_ens' )
		";
$wpdb->query($insert);
}



if(!$my_token_ens){
$rand = rand(111111111,999999999);
$my_token_ens = sha1($rand);
$table_name = $wpdb->prefix . 'options';
$insert="INSERT INTO $table_name
		( option_name,option_value )
		VALUES
		( 'my_token_ens','$my_token_ens' )
		";
$wpdb->query($insert);
}


 
register_activation_hook(__FILE__, 'my_activation');
function my_activation() {
    if (! wp_next_scheduled ( 'my_daily_event' )) {
	wp_schedule_event(time(), 'daily', 'my_daily_event');
    }
}

add_action('my_daily_event', 'do_this_daily');
function do_this_daily() {	
global $wpdb;
$my_licence_type_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_type_ens'" );
$my_licence_begin_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_begin_ens'" );
$my_licence_end_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_end_ens'" );
$my_licence_uname_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_licence_uname_ens'" );
$my_token_ens = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'my_token_ens'" );
}
?>