<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
global $wpdb;

$resset_menu =  'no';
if(isset($_POST['reset-menu'])){
$resset_menu = $_POST['reset-menu'];
}

$resset_templates =  'no';
if(isset($_POST['reset-templates'])){
$resset_templates = $_POST['reset-templates'];
}


$resset_pages =  'no';
if(isset($_POST['reset-pages'])){
$resset_pages = $_POST['reset-pages'];
}


$resset_tables =  'no';
if(isset($_POST['reset-tables'])){
$resset_tables = $_POST['reset-tables'];
}



if($resset_menu=='yes'){
$results = $wpdb->get_results( 
	"
	SELECT meta_id, post_id, meta_value, meta_key 
	FROM $wpdb->postmeta 
	WHERE meta_key LIKE '%[s-emailnospam%' 
	"
);

if ( $results  )
{
foreach ( $results as $rs )
{
$meta_id = $rs->meta_id;
$post_id = $rs->post_id;

echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Meta id', 'emails-no-spam')).' - '.$meta_id.' - ';
$wpdb->delete( $wpdb->postmeta, array( 'meta_id' => $meta_id ) );
wp_delete_post( $post_id, true );
echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Pagina deletada', 'emails-no-spam')).' - '.$post_id.'<br>';
		// Plugin?s Menu		
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Server_ENS_Menu.php');	
}
} // for each end
	
} // end if
else
{
include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Server_ENS_Menu.php');
?>
&nbsp;<span class="fa fa-check"></span>&nbsp;<?php echo esc_html( __('Page not found!', 'emails-no-spam')); ?>
<?php
}


if($resset_templates=='yes'){
	// Template
	
	
	$results = $wpdb->get_results( 
	"
	SELECT meta_id, post_id, meta_value, meta_key 
	FROM $wpdb->postmeta 
	WHERE meta_key LIKE '%[s-emailnospam%' 
	"
);
if ( $results  )
{
foreach ( $results as $rs )
{
$meta_id = $rs->meta_id;
$post_id = $rs->post_id;
	
	echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Meta id', 'emails-no-spam')).' - '.$meta_id.' - ';
$wpdb->delete( $wpdb->postmeta, array( 'meta_id' => $meta_id ) );
wp_delete_post( $post_id, true );
echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Pagina deletada', 'emails-no-spam')).' - '.$post_id.'<br>';

	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Post_Template_Support.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Post_Template_Example.php');
}
} // for each end
	
} // end if
else
{
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Post_Template_Support.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Post_Template_Example.php');
?>
&nbsp;<span class="fa fa-check"></span>&nbsp;<?php echo esc_html( __('Page not found!', 'emails-no-spam')); ?>
<?php
}




if($resset_tables=='yes'){	
	//Create Tables

echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Tables deleted', 'emails-no-spam')).'<br>';


	include_once( EMAILS_NO_SPAM_DIR .'drop_tables/my_servers.php' ); 
	include_once( EMAILS_NO_SPAM_DIR .'drop_tables/my_lists.php' ); 
	include_once( EMAILS_NO_SPAM_DIR .'drop_tables/my_recipients.php' );
		
	//Create Tables
	include_once( EMAILS_NO_SPAM_DIR .'create_tables/my_servers.php' ); 
	include_once( EMAILS_NO_SPAM_DIR .'create_tables/my_lists.php' ); 
	include_once( EMAILS_NO_SPAM_DIR .'create_tables/my_recipients.php' );
}



if($resset_pages=='yes'){

$results = $wpdb->get_results( 
	"
	SELECT meta_id, post_id, meta_value, meta_key 
	FROM $wpdb->postmeta 
	WHERE meta_key LIKE '%[s-emailnospam%' 
	"
);
if ( $results  )
{
foreach ( $results as $rs )
{
$meta_id = $rs->meta_id;
$post_id = $rs->post_id;

echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Meta id', 'emails-no-spam')).' - '.$meta_id.' - ';
$wpdb->delete( $wpdb->postmeta, array( 'meta_id' => $meta_id ) );
wp_delete_post( $post_id, true );
echo '&nbsp;<span class="fa fa-check"></span>&nbsp;'.esc_html( __('Pagina deletada', 'emails-no-spam')).' - '.$post_id.'<br>';


	//Licence
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Page_Timer.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Support_Support.php');  // with menu
		
	//Login	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Login_Login.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Login_Checkout.php');  // with menu
		
	//Cron	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Cron_Cron.php');  // with menu
	
	//Send List
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Send_List_Cron.php');
	
	//Servers
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Include_Servers.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_List_Servers.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Setting_Servers.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Reset_Servers.php'); 
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Sync_Servers.php'); 
	
	//My Lists
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_My_Lists_My_Lists.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_My_Lists_Clear_List.php');
		
	//New List
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_New_List_New_List.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_New_List_Import_Recipients.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Csv_Example.php');	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Unsubscribe.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Subscribe.php');
	
	// Recipients
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Recipients_List_Recipients.php');


	// Tables
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Tables_Manager_Fields.php');  // with menu
	

	//Theme
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Themes.php');
	
	
	// Cotact
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Support_Contact_Form.php');  // with menu
}
} // for each end
	
} // end if
else

//Licence
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Page_Timer.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Support_Support.php');  // with menu
		
	//Login	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Login_Login.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Login_Checkout.php');  // with menu
		
	//Cron	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Cron_Cron.php');  // with menu
	
	//Send List
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Send_List_Cron.php');
	
	//Servers
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Include_Servers.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_List_Servers.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Setting_Servers.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Reset_Servers.php'); 
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Sync_Servers.php'); 
	
	//My Lists
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_My_Lists_My_Lists.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_My_Lists_Clear_List.php');
		
	//New List
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_New_List_New_List.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_New_List_Import_Recipients.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Csv_Example.php');	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Unsubscribe.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Subscribe.php');
	
	// Recipients
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Recipients_List_Recipients.php');


	// Tables
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Tables_Manager_Fields.php');  // with menu
	

	//Theme
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Themes.php');
	
	
	// Cotact
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Support_Contact_Form.php');  // with menu
	
{
?>
&nbsp;<span class="fa fa-check"></span>&nbsp;<?php echo esc_html( __('Page not found!', 'emails-no-spam')); ?>
<?php
}
?>