<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


// AJAX RESPONSE FUNCTIONS
add_action( 'wp_ajax_include_server', 'the_action_function_include_server' );
add_action( 'wp_ajax_nopriv_include_server', 'the_action_function_include_server' ); // need this to serve non logged in users
function the_action_function_include_server(){
include( EMAILS_NO_SPAM_DIR .'scripts/servers/include-servers-process.php' );
}


add_action( 'wp_ajax_settings_server', 'the_action_function_settings_server' );
add_action( 'wp_ajax_nopriv_settings_server', 'the_action_function_settings_server' ); // need this to serve non logged in users
function the_action_function_settings_server(){
include( EMAILS_NO_SPAM_DIR .'scripts/servers/settings-servers-process.php' );
}


add_action( 'wp_ajax_active_server', 'the_action_function_active_server' );
add_action( 'wp_ajax_nopriv_active_server', 'the_action_function_active_server' ); // need this to serve non logged in users
function the_action_function_active_server(){
include( EMAILS_NO_SPAM_DIR .'scripts/servers/active-server-process.php' );
}


add_action( 'wp_ajax_delete_server', 'the_action_function_delete_server' );
add_action( 'wp_ajax_nopriv_delete_server', 'the_action_function_delete_server' ); // need this to serve non logged in users
function the_action_function_delete_server(){
include( EMAILS_NO_SPAM_DIR .'scripts/servers/delete-server-process.php' );
}


?>